export interface IPodsRes {
    name: string;
    title: string;
}
export interface IOutputRes {
    output: string;
    err: string;
    name: string;
}
export interface INewOutputPod {
    name: string;
    container?: string;
    nameSpace: string;
    podQuery: string;
    title?: string;
    podName: string;
}
export interface IOutputService {
    addNewType(podName: string, newItem: INewOutputPod): void;
    getPods(): IPodsRes[];
    getOutput(request: string): IOutputRes;
    unWatchLogs(): Boolean;
    dispose(): any;
}
